GEGELATI

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
CodeGen::TPGGenerationEngineFactory Class Reference

Factory class to create code generators. More...

`#include <tpgGenerationEngineFactory.h>`

## Public Types
enum | generationEngineMode { stackMode , switchMode }
| Enumeration of possible codegen modes.

## Public Member Functions
| TPGGenerationEngineFactory ()
| Factory constructor with default mode.
| TPGGenerationEngineFactory (enum generationEngineMode mode)
| Factory constructor with parameterized mode.
std::unique_ptr< TPGGenerationEngine > | create (const std::string &filename, const TPG::TPGGraph &tpg, const std::string &path="./")
| Factory method to create a codegen with the configured mode.

## Detailed Description

Factory class to create code generators.

## Constructor & Destructor Documentation

## ◆ TPGGenerationEngineFactory() [1/2]

CodeGen::TPGGenerationEngineFactory::TPGGenerationEngineFactory | ( |  | ) |

Factory constructor with default mode.

Copyright or © or Copr. IETR/INSA - Rennes (2021 - 2022) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2022) Mickaël Dardaillon mdard.nosp@m.ail@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2022) Thomas Bourgoin tbour.nosp@m.goi@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2021)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

## ◆ TPGGenerationEngineFactory() [2/2]

CodeGen::TPGGenerationEngineFactory::TPGGenerationEngineFactory | ( | enum generationEngineMode | mode | ) |

Factory constructor with parameterized mode.

Parameters

  mode | method chosen for code generation

## Member Function Documentation

## ◆ create()

std::unique_ptr< CodeGen::TPGGenerationEngine > CodeGen::TPGGenerationEngineFactory::create | ( | const std::string & | filename,
|  | const TPG::TPGGraph & | tpg,
|  | const std::string & | path = "./" )

Factory method to create a codegen with the configured mode.

Returns
  a unique_ptr<TPGGenerationEngine>.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/codeGen/tpgGenerationEngineFactory.h
- D:/a/gegelati/gegelati/gegelatilib/src/codeGen/tpgGenerationEngineFactory.cpp